{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrahead %}{{ block.super }}
  {% url 'admin:jsi18n' as jsi18nurl %}
  <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
{{ media }}
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/forms.css' %}" />
{% endblock %}

{% block bodyclass %}change-list{% endblock %}
{% block breadcrumbs %}
<div class="breadcrumbs">
      <a href="../../../../../">
        {% trans "Inicio" %} &rsaquo;
      </a>
      <a href="../../../">
          {% trans "Asignación de Pagos" %} &rsaquo;
      </a>
      <a href="../../../periodo/">
          {% trans "Períodos" %} &rsaquo;
      </a>
      <a href="../../../periodo/{{ pagoalumno.MatriculaCiclo.Periodo.id|escape }}/">
          {% trans "Matriculados" %} {{ pagoalumno.MatriculaCiclo.Periodo|escape }} &rsaquo;
      </a>
      <a href="../../{{ pagoalumno.MatriculaCiclo.id|escape }}/">
          {{ pagoalumno.MatriculaCiclo.Alumno|escape }} &rsaquo;
      </a>
          {% trans "Detalle" %} {{ pagoalumno.ConceptoPago|escape }}
</div>
{% endblock %}

{% block title %} {% trans 'Asignación de Pagos UDL' %} {% endblock %}
{% block branding %}
<div align="left"><h1 id="site-name">{% trans 'Administración UDL' %}</h1></div>
{% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}

<fieldset class="module aligned">
<h2>Datos del Alumno Matriculado</h2>
<div class="form-row">
	<div class="field-box">
		<label class="required" >Alumno:</label>
                {{ pagoalumno.MatriculaCiclo.Alumno|escape }}
	</div>
        <div class="field-box">
		<label class="required" >Código:</label>
                {{ pagoalumno.MatriculaCiclo.Alumno.Codigo|escape }}
	</div>
	<div class="field-box">
		<label class="required inline" >Matrícula:</label>
		{{ pagoalumno.MatriculaCiclo.Periodo|escape }}
	</div>
</div>

<div class="form-row">
        <div class="field-box">
		<label class="required inline" >Carrera:</label>
		{{ pagoalumno.MatriculaCiclo.Alumno.Carrera }}
	</div>
	<div class="field-box">
		<label class="required" >Categoria:</label>
                {{ pagoalumno.MatriculaCiclo.Categoria|escape }}
	</div>
        <div class="field-box">
		<label class="required" >Concepto:</label>
                {{ pagoalumno.ConceptoPago.Descripcion|escape }}
	</div>
</div>
</fieldset>

<div id="content-main">
    <div class = "module" id="changelist" >
      {% block result_list %}
        <h2>{% trans 'Detalle de Cobros' %}</h2>
        {% if detalles_pago %}
        <table>
        <THEAD>
        <TR>
        <TH></TH>
        <TH>{% trans 'Comprobante' %}</TH>
        <TH>{% trans 'Deuda' %}</TH>
        <TH>{% trans 'Pagó' %}</TH>
        <TH>{% trans 'Resta' %}</TH>
        <TH>{% trans 'Fecha Pago' %}</TH>
        <TH>{% trans '¿Es mora?' %}</TH>
        <TH>{% trans 'Activo' %}</TH>
        {% if perms.Pagos.change_detallepago %}
        <TH>{% trans 'Editar' %}</TH>
        {% endif %}
        {% if perms.Pagos.delete_detallepago %}
        <TH>{% trans 'Eliminar' %}</TH>
        {% endif %}
        </TR>
	</THEAD>
        <TBODY>
        {% for detalle_pago in detalles_pago %}
        <TR class="{% cycle 'row1' 'row2' %}">
           <TD>&rsaquo;</TD>
           <TD>{{ detalle_pago.Comprobante|escape }}</TD>
           <TD>S/. {{ detalle_pago.MontoDeuda|escape }}</TD>
           <TD>S/. {{ detalle_pago.MontoCancelado|escape }}</TD>
           <TD>S/. {{ detalle_pago.PagoRestante|escape }}</TD>
           <TD>{{ detalle_pago.FechaPago|escape }}</TD>
           <TD>{% if detalle_pago.Mora %}
               <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
               {% else %}
               <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
               {% endif %}
           </TD>
           <TD>{% if detalle_pago.Activado %}
               <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
               {% else %}
               <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
               {% endif %}
           </TD>
           {% if perms.Pagos.change_detallepago %}
           <TD><a class="changelink" href="../editar/{{ detalle_pago.id }}/"></a></TD>
           {% endif %}
           {% if perms.Pagos.delete_detallepago %}
           <TD><a class="deletelink" href="../eliminar/{{ detalle_pago.id }}/"></a></TD>
           {% endif %}
        </TR>
        {% endfor %}
        </TBODY>
        </table>
        {% else %}
           <p>{% trans 'No se ha efectuado ningun cobro' %}</p>
        {% endif %}
      {% endblock %}
    </div>
  </div>
{% endblock %}
